# ObjPad #

* Автори: Christopher Duffley <nvda@chrisduffley.com>, първоначална
  разработка от Joseph Lee, Cleverson Uliana и други
* Изтегляне на [стабилна версия][1]
* Съвместимост с NVDA: от 2022.4 и по-нови версии

Тази добавка предоставя бързи команди за управление на обектите по екрана,
включително навигация между тях и други възможности.

## Команди

* Control+NVDA+TAB: Превключва между режимите за стрелките (вижте по-долу за
  подробности).

## Режими за клавишите със стрелките

Добавката предоставя четири начина за използване на клавишите със стрелките:

* Класически (или нормален) режим: използвайте стрелките за преместване на
  курсора.
* Режим на обектна навигация: използвайте клавишите със стрелките, за да се
  придвижвате към следващия/предишния/родителския/първия дъщерен обект.
* Уеб: Използвайте стрелките за превключване между видовете елементи и за
  тяхното обхождане.
* Режим на сканиране (претърсване): използвайте клавишите със стрелките, за
  да се придвижвате между обектите по екрана независимо от йерархията.

При избран режим на обектна навигация за клавишите със стрелките, са налични
следните команди:

* Стрелка надясно: следващ обект.
* Стрелка наляво: предишен обект.
* Стрелка нагоре: родителски обект.
* Стрелка надолу: първи дъщерен обект.
* Клавиш интервал или ENTER: задействане.

С действащ режим за уеб (елементите са нормални или обхождане по обекти,
връзки, полета за формуляри, заглавия, рамки, таблици, списъци, маркери):

* Стрелка надясно: следващ елемент.
* Стрелка наляво: предишен елемент.
* Стрелка нагоре: предишен тип елемент.
* Стрелка надолу: следващ тип елемент.
* Клавиш интервал или ENTER: задействане.

При избран режим на сканиране:

* Стрелка надолу: следващ обект или следващ ред.
* Стрелка нагоре: предишен обект или предишен ред.
* Стрелка надясно: преглед на следващия знак.
* Стрелка наляво: преглед на предишния знак.
* Control+Стрелка надясно: следваща дума.
* Control+Стрелка наляво: предишна дума.
* Клавиш интервал или ENTER: задействане.

## Версия 23.05

* За да се отрази промяната на разработчика, манифестният файл е
  актуализиран с новата информация.

## Версия 23.02

* Изисква се NVDA 2022.4 или по-нова версия.
* Изисква се Windows 10 21H2 (актуализация от месец ноември 2021
  г./компилация 19044) или по-нова версия.

## Версия 23.01

* Изисква се NVDA 2022.3 или по-нова версия.
* Изисква се Windows 10 или по-нова версия, тъй като Windows 7, 8 и 8.1 вече
  не се поддържат от Microsoft от януари 2023 г.

## Версия 22.06

* Изисква се NVDA 2021.3 или по-нова версия.

## Версия 21.04

* Изисква NVDA 2020.1 или по-нова версия.

## Версия 20.01

* Изисква NVDA 2019.3 или по-нова версия.

## Версия 18.12

* Вътрешни промени за поддръжка на бъдещите версии на NVDA.

## Версия 18.09

* Добавени преводи.
* Клавишът Enter (както обикновения, така и този от цифровия блок) може да
  се използват за задействане на обекти.

## Версия 18.03

* По-добра съвместимост с NVDA 2018.1.

## Версия 16.12

* Добавен е режим за уеб.

## Версия 16.10

* Първа стабилна версия.

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=objPad
