# ObjPad #

* Autor: Christopher Duffley <nvda@chrisduffley.com> (ursprünglich
  geschrieben von Joseph Lee, Cleverson Uliana und weitere Entwickler)
* [Stabile Version herunterladen][1]
* NVDA-Kompatibilität: 2022.4 und neuer

Dieses Add-on bietet schnelle Befehle zur Verwaltung von Objekten auf dem
Bildschirm, einschließlich Navigation und anderer Möglichkeiten.

## Befehle

* Strg+NVDA+Tab: Wechselt zwischen den Navigationsarten auf dem Bildschirm
  (Details siehe unten).

## Navigationsarten

Die Erweiterung bietet vier Möglichkeiten der Navigation mit Pfeiltasten:

* Klassisch (oder Normalmodus): Verwenden Sie die Pfeiltasten, um den Cursor
  zu steuern.
* Objektnavigation: Benutzen Sie die Pfeiltasten, um zu den
  nächsten/vorherigen Hauptobjekten bzw. ersten/vorherigen/nächsten
  Unterobjekten zu gelangen.
* Web: Benutzen Sie die Pfeiltasten, um durch die Elementtypen zu blättern
  und sich zwischen elementen zu bewegen.
* Erkundungsmodus: Benutzen Sie die Pfeiltasten, um unabhängig von der
  Hierarchie durch die Objekte auf dem Bildschirm zu navigieren.

Die folgenden Befehle sind verfügbar, wenn die Pfeiltasten auf
Objektnavigation eingestellt sind:

* Pfeiltaste nach rechts: Nächstes Objekt.
* Pfeiltaste nach links: Vorheriges Objekt.
* Pfeiltaste nach oben: Hauptobjekt für die aktuelle Region.
* Pfeiltaste nach unten: Erstes Unterobjekt des Hauptobjekts.
* Leertaste or Eingabetaste: Aktivieren.

Elemente können im Webmodus normal eingestellt werden. Sie können aber auch
zwischen den Elementtypen Objekte, Links, Formularfelder, Überschriften,
Rahmen, Tabellen, Listen, Sprungmarken navigieren:

* Pfeiltaste nach rechts: Nächstes Element.
* Pfeiltaste nach links: Vorheriges Element.
* Pfeiltaste nach oben: Vorheriges Elementtyp.
* Pfeiltaste nach unten: Nächstes Elementtyp.
* Leertaste or Eingabetaste: Aktivieren.

Bei aktiviertem Scan-Modus:

* Pfeiltaste nach unten: Nächstes Objekt oder nächste Zeile.
* Pfeiltaste nach oben: Vorheriges Objekt oder vorherige Zeile.
* Pfeiltaste nach rechts: Nächster Buchstabe.
* Pfeiltaste nach links: Vorheriger Buchstabe.
* Strg+Pfeil nach rechts: Nächstes Wort.
* Strg+Pfeil nach links: Vorheriges Wort.
* Leertaste or Eingabetaste: Aktivieren.

## Version 23.05

* Um die Änderung zur Wartung zu berücksichtigen, wurde das Manifest
  aktualisiert, um dies anzuzeigen.

## Version 23.02

* NVDA 2022.4 oder neuer wird benötigt.
* Windows 10 Version 21H2 (November 2021 Update / Build 19044) oder neuer
  wird benötigt.

## Version 23.01

* NVDA 2022.3 oder neuer ist erforderlich.
* Windows 10 oder neuer ist erforderlich, da Windows 7, 8 und 8.1 ab Januar
  2023 nicht mehr von Microsoft unterstützt werden.

## Version 22.06

* Benötigt NVDA 2021.3 oder neuer.

## Version 21.04

* Erfordert NVDA 2020.1 oder höher.

## Version 20.01

* Erfordert NVDA 2019.3 oder höher.

## Version 18.12

* Interne Änderungen zur Unterstützung zukünftiger NVDA-Versionen.

## Version 18.09

* Lokalisierungen wurden hinzugefügt.
* Eingabetaste (normal und Numpad) kann zum Aktivieren von Objekten
  verwendet werden.

## Version 18.03

* Bessere Kompatibilität mit NVDA 2018.1.

## Version 16.12

* Web-Modus wurde hinzugefügt.

## Version 16.10

* Erstveröffentlichung.

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=objPad
